<bugID>339036<Summary>"focus parent tab on tab close" optimization shouldn't apply to new blank tabs</Summary><Description>When I open a new blank tab via File-&gt;New Tab or the ctrl/command-t shortcut, and then I close that tab, Firefox returns me to the tab I was on when I initially opened the new tab.

This is the "focus parent tab on child tab close" optimization recently added to Firefox, but while it can be useful when opening tabs via link clicks (especially if I remain conscious of still being/working in the parent tab while browsing the child tab), it's not very useful when opening new blank tabs, since the content I load in the new blank tab is rarely related to the "parent" tab, especially not with a parent-child relationship, and I rarely stay conscious of being in the "parent" tab.

I suspect most other users who open new blank tabs are in the same boat, and we should turn off this optimization for those tabs.</Description></bugID>